Initiate Outbound Call
curl --request POST \
--url http://127.0.0.1:8080/v1/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "+15550000000",
"to": "+15551234567",
"carrier": "telnyx",
"agent_ws_url": "ws://127.0.0.1:8765/agent",
"record": false
}
'import requests
url = "http://127.0.0.1:8080/v1/calls"
payload = {
"from": "+15550000000",
"to": "+15551234567",
"carrier": "telnyx",
"agent_ws_url": "ws://127.0.0.1:8765/agent",
"record": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '+15550000000',
to: '+15551234567',
carrier: 'telnyx',
agent_ws_url: 'ws://127.0.0.1:8765/agent',
record: false
})
};
fetch('http://127.0.0.1:8080/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Calls
Initiate Outbound Call
POST
/
v1
/
calls
Initiate Outbound Call
Authorizations
BearerAuthCookieAuth
Enter your Tenant API key (or use SANDBOX_API_KEY)
Body
application/json
Response
200
Call initiated